export class Room {
    rId: number;
    rName: string;
    rPic: string;
    rType: string;
    roomLimit: number;
    rDesc: string;
    constructor(init?: Room) {
        Object.assign(this, init);
        this.rId = 0;
        this.rName = '';
        this.rType = '';
        this.rPic = '';
        this.roomLimit = 0;
        this.rDesc = '';
    }
}

export interface SearchRoomModel {
    sdate: string;
    edate: string;
    stime: string;
    etime: string;
    roomlimit: number;
}

export class SearchRoomModel {
    constructor(init?: SearchRoomModel) {
        Object.assign(this, init);
        this.sdate = '',
        this.edate = '',
        this.stime = '',
        this.etime = '',
        this.roomlimit = 0;
    }
}